Metrics
Get Metrics
Get CPU, memory, network, and disk metrics for a team, project, environment, or service.
Get CPU, memory, network, and disk metrics for a team, project, environment, or service.
Authorization
bearerAuth AuthorizationBearer <token>
Access token or API key (unb_...) passed as Authorization: Bearer <token>.
In: header
Query Parameters
type*MetricsType
Value in
- "team"
- "project"
- "environment"
- "service"
team_id*string
project_id?string
environment_id?string
service_id?string
start?string
Start time for the query, defaults to 1 week ago
Format
date-timeend?string
End time for the query, defaults to now
Format
date-timeResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/metrics/get?type=team&team_id=string"{ "data": { "broken_down_by": "team", "metrics": { "cpu": [ { "breakdown": { "property1": 0, "property2": 0 }, "timestamp": "2019-08-24T14:15:22Z", "value": 0.1 } ], "disk": [ { "breakdown": { "property1": 0, "property2": 0 }, "timestamp": "2019-08-24T14:15:22Z", "value": 0.1 } ], "network": [ { "breakdown": { "property1": 0, "property2": 0 }, "timestamp": "2019-08-24T14:15:22Z", "value": 0.1 } ], "ram": [ { "breakdown": { "property1": 0, "property2": 0 }, "timestamp": "2019-08-24T14:15:22Z", "value": 0.1 } ] }, "step": 0 }}